<?php
/*
 *
 * Copyright 2001, 2012 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisations files
require_once("../lib/initialisations.inc.php");

// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
}

$sql="SELECT 1=1 FROM droits WHERE id='/groupes/signalement_eleves.php';";
$test=mysqli_query($GLOBALS["mysqli"], $sql);
if(mysqli_num_rows($test)==0) {
    $sql="INSERT INTO droits SET id='/groupes/signalement_eleves.php',
administrateur='F',
professeur='V',
cpe='V',
scolarite='V',
eleve='F',
responsable='F',
secours='F',
autre='F',
description='Groupes: signalement des erreurs d affectation élève',
statut='';";
    $insert=mysqli_query($GLOBALS["mysqli"], $sql);
}

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

$sql="CREATE TABLE IF NOT EXISTS j_signalement (id_groupe int(11) NOT NULL default '0',
login varchar(50) NOT NULL default '',
periode int(11) NOT NULL default '0',
nature varchar(50) NOT NULL default '',
valeur varchar(50) NOT NULL default '',
declarant varchar(50) NOT NULL default '',
PRIMARY KEY (id_groupe,login,periode,nature), INDEX (login)
) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci;";
$test=mysqli_query($GLOBALS["mysqli"], $sql);

// Initialisation des variables utilisées dans le formulaire

//$id_classe = isset($_GET['id_classe']) ? $_GET['id_classe'] : (isset($_POST['id_classe']) ? $_POST["id_classe"] : NULL);
$id_groupe=isset($_GET['id_groupe']) ? $_GET['id_groupe'] : (isset($_POST['id_groupe']) ? $_POST["id_groupe"] : NULL);
$order_by = isset($_GET['order_by']) ? $_GET['order_by'] : (isset($_POST['order_by']) ? $_POST["order_by"] : "classe");

$mode_signalement=isset($_GET['mode_signalement']) ? $_GET['mode_signalement'] : (isset($_POST['mode_signalement']) ? $_POST["mode_signalement"] : "2");

if(($_SESSION['statut']=='professeur')&&(isset($id_groupe))&&(!verif_prof_groupe($_SESSION['login'],$id_groupe))) {
	header("Location: ../accueil.php?msg=Le groupe n°$id_groupe ne vous est pas associé.");
	die();
}

if(!isset($_SESSION['chemin_retour'])) {
	if($_SESSION['statut']=='professeur') {
		$_SESSION['chemin_retour']=isset($_GET['chemin_retour']) ? $_GET['chemin_retour'] : (isset($_POST['chemin_retour']) ? $_POST['chemin_retour'] : "../cahier_notes/index.php?id_groupe=$id_groupe");
	}
	else {
		$_SESSION['chemin_retour']="../accueil.php";
	}
}

//$periode_cn=isset($_GET['periode_cn']) ? $_GET['periode_cn'] : (isset($_POST['periode_cn']) ? $_POST["periode_cn"] : NULL);
//$id_conteneur = isset($_GET['id_conteneur']) ? $_GET['id_conteneur'] : (isset($_POST['id_conteneur']) ? $_POST["id_conteneur"] : NULL);
// Contrôler si $id_groupe et $id_conteneur sont bien associées
//$sql="";

function debug_edit_eleves($texte) {
	$debug_edit_eleves=0;
	if($debug_edit_eleves==1) {
		echo "<span style='color:green'>$texte</span><br />\n";
	}
}

debug_edit_eleves("id_groupe=$id_groupe");
if (!is_numeric($id_groupe)) $id_groupe = 0;
debug_edit_eleves("id_groupe=$id_groupe");
$current_group = get_group($id_groupe);

/*
$reg_nom_groupe = $current_group["name"];
debug_edit_eleves("reg_nom_groupe=$reg_nom_groupe");
$reg_nom_complet = $current_group["description"];
$reg_matiere = $current_group["matiere"]["matiere"];

//$reg_id_classe = $id_classe;

$reg_clazz = $current_group["classes"]["list"];
$reg_professeurs = (array)$current_group["profs"]["list"];
$mode = isset($_GET['mode']) ? $_GET['mode'] : "groupe";
*/

if (count($current_group["classes"]["list"]) > 1) {
	$multiclasses = true;
} else {
	$multiclasses = false;
}

// Requête utilisée pour la liste des logins	
$reg_eleves = array();
foreach ($current_group["periodes"] as $period) {
	//echo '$period["num_periode"]='.$period["num_periode"]."<br />";
	if($period["num_periode"]!=""){
		$reg_eleves[$period["num_periode"]] = $current_group["eleves"][$period["num_periode"]]["list"];
		//$msg.="\$reg_eleves[\$period[\"num_periode\"]]=\$reg_eleves[".$period["num_periode"]."]=".$reg_eleves[$period["num_periode"]]."<br />";
	}
}

$msg="";
if (isset($_POST['is_posted'])) {
	check_token();
	//$error = false;

	// Ménage:
	$sql="DELETE FROM j_signalement WHERE id_groupe='$id_groupe' AND nature='erreur_affect';";
	//echo "$sql<br />";
	$del=mysqli_query($GLOBALS["mysqli"], $sql);
	if($del) {
		// Elèves
		$sql="SELECT DISTINCT jec.login FROM j_eleves_classes jec, j_groupes_classes jgc WHERE jgc.id_groupe='$id_groupe' AND jec.id_classe=jgc.id_classe ORDER BY login";
		debug_edit_eleves($sql);
		//echo "$sql<br />";
		$result_liste_eleves_classes_du_grp=mysqli_query($GLOBALS["mysqli"], $sql);
		while($lig_eleve=mysqli_fetch_object($result_liste_eleves_classes_du_grp)){
			$tab_ele[]=$lig_eleve->login;
			//echo " ".$lig_eleve->login;
		}

		$login_eleve=$_POST['login_eleve'];

		$nom_declarant="Non_Identifié";
		$email_declarant="";
		$sql="select nom, prenom, civilite, email from utilisateurs where login = '".$_SESSION['login']."';";
		$req=mysqli_query($GLOBALS["mysqli"], $sql);
		if(mysqli_num_rows($req)>0) {
			$lig_u=mysqli_fetch_object($req);
			$nom_declarant=$lig_u->civilite." ".casse_mot($lig_u->nom,'maj')." ".casse_mot($lig_u->prenom,'majf');
			$email_declarant=$lig_u->email;
		}

		$sujet_mail="[GEPI] Signalement d'élèves manquants ou en trop";
		$texte_mail="Signalement par ".$nom_declarant." d'élèves manquants ou en trop en ".$current_group["name"]." (".$current_group["description"]." en ".$current_group["classlist_string"].").\n";
/*
echo "<pre>";
print_r($reg_eleves);
echo "</pre>";

echo "<pre>";
print_r($current_group["periodes"]);
echo "</pre>";
*/
		if((isset($_POST['mode_signalement']))&&($_POST['mode_signalement']==2)) {

			for($loop=0;$loop<count($login_eleve);$loop++) {
				//echo "\$login_eleve[$loop]=$login_eleve[$loop]<br />";
				for($loop_per=0;$loop_per<=count($current_group["periodes"]);$loop_per++) {
					if(isset($current_group["periodes"][$loop_per]['num_periode'])) {
						if((isset($_POST['eleve_'.$current_group["periodes"][$loop_per]['num_periode'].'_'.$loop]))&&
						($_POST['eleve_'.$current_group["periodes"][$loop_per]['num_periode'].'_'.$loop]=='y')) {
							//echo "\$_POST['eleve_".$current_group['periodes'][$loop_per]['num_periode']."_$loop'] est défini.<br />";
							if(!in_array($login_eleve[$loop], $reg_eleves[$current_group["periodes"][$loop_per]['num_periode']])) {
								$nom_eleve=get_nom_prenom_eleve($login_eleve[$loop]);
		
								$sql="INSERT INTO j_signalement SET id_groupe='$id_groupe', declarant='".$_SESSION['login']."', nature='erreur_affect', login='".$login_eleve[$loop]."', periode='".$current_group["periodes"][$loop_per]['num_periode']."', ";
	
								$sql.="valeur='manquant';";
								$texte_mail.="$nom_eleve est manquant en période ".$current_group["periodes"][$loop_per]['num_periode'].".\n";
	
								//echo "$sql<br />\n";
								$insert=mysqli_query($GLOBALS["mysqli"], $sql);
								if(!$insert) {
									$msg.="Erreur pour ".$nom_eleve."<br />";
								}
							}
						}
						else {
							if(in_array($login_eleve[$loop], $reg_eleves[$current_group["periodes"][$loop_per]['num_periode']])) {
								$nom_eleve=get_nom_prenom_eleve($login_eleve[$loop]);
		
								$sql="INSERT INTO j_signalement SET id_groupe='$id_groupe', declarant='".$_SESSION['login']."', nature='erreur_affect', login='".$login_eleve[$loop]."', periode='".$current_group["periodes"][$loop_per]['num_periode']."', ";
	
								$sql.="valeur='en_trop';";
								$texte_mail.="$nom_eleve est en trop en période ".$current_group["periodes"][$loop_per]['num_periode'].".\n";
	
								//echo "$sql<br />\n";
								$insert=mysqli_query($GLOBALS["mysqli"], $sql);
								if(!$insert) {
									$msg.="Erreur pour ".$nom_eleve."<br />";
								}
							}
						}
					}
					/*
					else {
						echo "\$current_group[\"periodes\"][$loop_per]['num_periode'] n'est pas défini.<br />";
					}
					*/
				}
			}








		}
		else {
			foreach($current_group["periodes"] as $period) {
				for($i=0;$i<count($login_eleve);$i++){
					if(isset($_POST['eleve_'.$period["num_periode"].'_'.$i])) {
						if(in_array($login_eleve[$i],$tab_ele)) {
							$nom_eleve=get_nom_prenom_eleve($login_eleve[$i]);
	
							$sql="INSERT INTO j_signalement SET id_groupe='$id_groupe', declarant='".$_SESSION['login']."', nature='erreur_affect', login='".$login_eleve[$i]."', periode='".$period["num_periode"]."', ";
							if(in_array($login_eleve[$i],$reg_eleves[$period["num_periode"]])) {
								$sql.="valeur='en_trop';";
								$texte_mail.="$nom_eleve est en trop en période ".$period["num_periode"].".\n";
							}
							else {
								$sql.="valeur='manquant';";
								$texte_mail.="$nom_eleve est manquant en période ".$period["num_periode"].".\n";
							}
							//echo "$sql<br />\n";
							$insert=mysqli_query($GLOBALS["mysqli"], $sql);
							if(!$insert) {
								$msg.="Erreur pour ".$nom_eleve."<br />";
							}
							//flush();
						}
					}
				}
			}
		}

		//echo nl2br($texte_mail);
		//flush();

		$envoi_mail_actif=getSettingValue('envoi_mail_actif');
		if(($envoi_mail_actif!='n')&&($envoi_mail_actif!='y')) {
			$envoi_mail_actif='y'; // Passer à 'n' pour faire des tests hors ligne... la phase d'envoi de mail peut sinon ensabler.
		}
		if($envoi_mail_actif=='y') {
			if(getSettingValue('url_racine_gepi')!="") {
				$texte_mail.="\nPrendre en compte la proposition : ".getSettingValue('url_racine_gepi')."/groupes/edit_eleves.php?id_groupe=".$current_group["id"]." \n(vous devez être connecté(e) dans GEPI avant de cliquer sur ce lien).\n";
			}

			// On utilise un témoin
			if((isset($nom_eleve))&&($nom_eleve!="")&&(getSettingValue("gepiAdminAdress")!='')) {
				$gepiPrefixeSujetMail=getSettingValue("gepiPrefixeSujetMail") ? getSettingValue("gepiPrefixeSujetMail") : "";
				if($gepiPrefixeSujetMail!='') {$gepiPrefixeSujetMail.=" ";}
	
				$ajout_header="";
				if($email_declarant!="") {
					$ajout_header.="Cc: $nom_declarant <".$email_declarant.">\r\n";
					$tab_param_mail['cc'][]=$email_declarant;
					$tab_param_mail['cc_name'][]=$nom_declarant;
				}

				$destinataire_mail=getSettingValue("gepiAdminAdress");
				if(check_mail($destinataire_mail)) {
					$tab_param_mail['destinataire'][]=$destinataire_mail;
				}
				if((getSettingValue('email_dest_info_erreur_affect_grp')!="")&&(getSettingValue('email_dest_info_erreur_affect_grp')!=getSettingValue("gepiAdminAdress"))) {
					$destinataire_mail.=",".getSettingValue("email_dest_info_erreur_affect_grp");
					$tab_param_mail['destinataire'][]=getSettingValue("email_dest_info_erreur_affect_grp");
				}

				$envoi = envoi_mail($sujet_mail, $texte_mail, $destinataire_mail, $ajout_header, "plain", $tab_param_mail);
			}
		}

		// On utilise un témoin
		if((isset($nom_eleve))&&($nom_eleve!="")&&($msg=="")) {
			$msg="Enregistrement effectué.";
		}
	}
}

$themessage  = 'Des informations ont été modifiées. Voulez-vous vraiment quitter sans enregistrer ?';
//**************** EN-TETE **************************************
$titre_page = "Gestion des groupes";
require_once("../lib/header.inc.php");
//**************** FIN EN-TETE **********************************

//debug_var();

$tab_sig=array();
$sql="SELECT * FROM j_signalement WHERE id_groupe='$id_groupe' AND nature='erreur_affect' ORDER BY periode, login;";
//echo "$sql<br />";
$res_sig=mysqli_query($GLOBALS["mysqli"], $sql);
if(mysqli_num_rows($res_sig)>0) {
	while($lig_sig=mysqli_fetch_object($res_sig)) {
		//$tab_sig[$lig_sig->periode][$lig_sig->login]=$lig_sig->valeur;
		$tab_sig[$lig_sig->periode][]=$lig_sig->login;
	}
}
/*
echo "<pre>";
print_r($tab_sig);
echo "</pre>";
*/
$nb_periode=$current_group['nb_periode'];

echo "<script type='text/javascript' language='javascript'>

function CocheCase(boul) {
	nbelements = document.formulaire.elements.length;
	for (i = 0 ; i < nbelements ; i++) {
		if (document.formulaire.elements[i].type =='checkbox') {
			document.formulaire.elements[i].checked = boul ;
		}
	}
}

// Initialisation
change='no';
</script>\n";

echo "<form enctype='multipart/form-data' action='".$_SERVER['PHP_SELF']."' name='form_passage_a_un_autre_groupe' method='post'>\n";
echo "<p class='bold'>\n";
echo "<a href='".$_SESSION['chemin_retour']."'";
echo " onclick=\"return confirm_abandon (this, change, '$themessage')\"";
echo "><img src='../images/icons/back.png' alt='Retour' class='back_link'/> Retour</a>\n";

$nb_grp=0;
if($_SESSION['statut']=='professeur') {
	$sql="SELECT DISTINCT jgp.id_groupe FROM groupes g, j_groupes_professeurs jgp WHERE jgp.login='".$_SESSION['login']."' AND g.id=jgp.id_groupe ORDER BY g.name;";
	//echo "$sql<br />\n";
	$res_grp=mysqli_query($GLOBALS["mysqli"], $sql);
	$nb_grp=mysqli_num_rows($res_grp);
}
if($nb_grp>1) {
	echo " | ";

	echo "<select name='id_groupe' id='id_groupe_a_passage_autre_grp' onchange=\"confirm_changement_grp(change, '$themessage');\">\n";
	$cpt_grp=0;
	$chaine_js=array();
	//echo "<option value=''>---</option>\n";
	while($lig_grp=mysqli_fetch_object($res_grp)) {

		$tmp_grp=get_group($lig_grp->id_groupe);

		echo "<option value='$lig_grp->id_groupe'";
		if($lig_grp->id_groupe==$id_groupe) {echo " selected";$indice_grp_courant=$cpt_grp;}
		echo ">".$tmp_grp['description']." (".$tmp_grp['name']." en ".$tmp_grp["classlist_string"].")</option>\n";
		$cpt_grp++;
	}
	echo "</select>\n";

	if($mode_signalement=="2") {
		echo " | <a href='".$_SERVER['PHP_SELF']."?mode_signalement=1&amp;id_groupe=$id_groupe'>Ancien mode</a>\n";
	}
	else {
		echo " | <a href='".$_SERVER['PHP_SELF']."?mode_signalement=2&amp;id_groupe=$id_groupe'>Nouveau mode</a>\n";
	}
	echo "</p>\n";

	echo "<script type='text/javascript'>
	// Initialisation faite plus haut
	//change='no';

	function confirm_changement_grp(thechange, themessage)
	{
		if (!(thechange)) thechange='no';
		if (thechange != 'yes') {
			document.forms['form_passage_a_un_autre_groupe'].submit();
		}
		else {
			var is_confirmed = confirm(themessage);
			if(is_confirmed) {
				document.forms['form_passage_a_un_autre_groupe'].submit();
			}
			else {
				document.getElementById('id_groupe_a_passage_autre_grp').selectedIndex=$indice_grp_courant;
			}
		}
	}
</script>\n";

}
else {
	if($mode_signalement=="2") {
		echo " | <a href='".$_SERVER['PHP_SELF']."?mode_signalement=1&amp;id_groupe=$id_groupe'";
		echo " onclick=\"return confirm_abandon (this, change, '$themessage')\"";
		echo ">Ancien mode</a>\n";
	}
	else {
		echo " | <a href='".$_SERVER['PHP_SELF']."?mode_signalement=2&amp;id_groupe=$id_groupe'";
		echo " onclick=\"return confirm_abandon (this, change, '$themessage')\"";
		echo ">Nouveau mode</a>\n";
	}
	echo "</p>\n";
}
echo "</form>\n";

?>

<?php
	echo "<h3>Gérer les élèves de l'enseignement&nbsp;: ";
	echo htmlspecialchars($current_group["description"]) . " (<i>" . $current_group["classlist_string"] . "</i>)";
	echo "</h3>\n";
	//$temp["profs"]["users"][$p_login] = array("login" => $p_login, "nom" => $p_nom, "prenom" => $p_prenom, "civilite" => $civilite);
	if(count($current_group["profs"]["users"])>0){
		echo "<p>Cours dispensé par ";
		$cpt_prof=0;
		foreach($current_group["profs"]["users"] as $tab_prof){
			if($cpt_prof>0){echo ", ";}
			echo casse_mot($tab_prof['prenom'],'majf2')." ".my_strtoupper($tab_prof['nom']);
			$cpt_prof++;
		}
		echo ".</p>\n";
	}

	echo "<p>Cette page est destinée à vous permettre de signaler à l'administrateur des erreurs d'affectation d'élèves (<i>élèves en trop ou manquants</i>).<br />\n";
	echo "L'administrateur pourra tenir compte de votre signalement.<br />\nNotez bien que la prise en compte de votre demande n'est pas instantanée.<br />Une intervention de la part de l'administrateur sera nécessaire.";
	if(getSettingValue("gepiAdminAdress")!='') {
		echo "<br />\nL'administrateur recevra un mail pour ce signalement.";
	}
	echo "</p>\n";

?>


<p>
<b><a href="javascript:CocheCase(true);changement();">Tout cocher</a> - <a href="javascript:CocheCase(false);changement();">Tout décocher</a></b>
</p>
<?php

if((isset($mode_signalement))&&($mode_signalement=="2")) {
	$maxper=0;

	echo "<form enctype='multipart/form-data' action='".$_SERVER['PHP_SELF']."' name='formulaire' method='post'>\n";
	echo add_token_field();
	echo "<p><input type='submit' value='Enregistrer' onclick=\"document.getElementById('temoin_enregistrement_1').style.display=''\" /><span id='temoin_enregistrement_1' style='display:none;'><img src='../images/spinner.gif' width='16' height='16' title='Enregistrement en cours' /></span></p>\n";

	echo "<p>Cochez les élèves qui vous manquent, décochez ceux que vous avez en trop.&nbsp;: </p>\n";

	echo "<table border='1' class='boireaus' summary='Suivi de cet enseignement par les élèves en fonction des périodes'>\n";
	echo "<tr>\n";
	echo "<th><a href='".$_SERVER['PHP_SELF']."?id_groupe=$id_groupe&amp;order_by=nom'";
	echo " onclick=\"return confirm_abandon (this, change, '$themessage')\"";
	echo ">Nom/Prénom</a></th>\n";
	if ($multiclasses) {
		echo "<th><a href='".$_SERVER['PHP_SELF']."?id_groupe=$id_groupe&amp;order_by=classe'";
		echo " onclick=\"return confirm_abandon (this, change, '$themessage')\"";
		echo ">Classe</a></th>\n";
	}
	foreach ($current_group["periodes"] as $period) {
		if($period["num_periode"]!=""){
			echo "<th>" . $period["nom_periode"] . "</th>\n";
		}
	}
	echo "<th>&nbsp;</th>\n";
	//echo "<th>Coef</th>";
	echo "</tr>\n";
	
	$conditions = "e.login = j.login and (";
	foreach ($current_group["classes"]["list"] as $query_id_classe) {
		$conditions .= "j.id_classe = '" . $query_id_classe . "' or ";
	}
	$conditions = mb_substr($conditions, 0, -4);
	$conditions .= ") and c.id = j.id_classe";
	
	// Définition de l'ordre de la liste
	if ($order_by == "classe") {
		// Classement par classe puis nom puis prénom
		$order_conditions = "j.id_classe, e.nom, e.prenom";
	} elseif ($order_by == "nom") {
		$order_conditions = "e.nom, e.prenom";
	}
	
	//=============================
	echo "<tr>\n<th>\n";
	//=============================
	
	//=========================
	unset($login_eleve);
	//=========================
	
	$sql="SELECT distinct(j.login), j.id_classe, c.classe, e.nom, e.prenom FROM eleves e, j_eleves_classes j, classes c WHERE (" . $conditions . ") ORDER BY ".$order_conditions;
	$calldata = mysqli_query($GLOBALS["mysqli"], $sql);
	$nb = mysqli_num_rows($calldata);
	$eleves_list = array();
	$eleves_list["list"]=array();
	for ($i=0;$i<$nb;$i++) {
		$e_login = old_mysql_result($calldata, $i, "login");
		//================================
		//echo "<input type='hidden' name='login_eleve[$i]' value='$e_login' />\n";
		echo "<input type='hidden' name='login_eleve[$i]' id='login_eleve_$i' value='$e_login' />\n";
		//=========================
		$login_eleve[$i]=$e_login;
		//=========================
		//================================
		$e_nom = old_mysql_result($calldata, $i, "nom");
		$e_prenom = old_mysql_result($calldata, $i, "prenom");
		$e_id_classe = old_mysql_result($calldata, $i, "id_classe");
		$classe = old_mysql_result($calldata, $i, "classe");
		$eleves_list["list"][] = $e_login;
		$eleves_list["users"][$e_login] = array("login" => $e_login, "nom" => $e_nom, "prenom" => $e_prenom, "classe" => $classe, "id_classe" => $e_id_classe);
	}
	//echo "count(\$eleves_list)=".count($eleves_list)."<br />";
	$total_eleves = $eleves_list["list"];
	//echo "count(\$total_eleves)=".count($total_eleves)."<br />";
	
	foreach ($current_group["periodes"] as $period) {
		if($period["num_periode"]!=""){
			//$total_eleves = array_merge($total_eleves, (array)$reg_eleves[$period["num_periode"]]);
			if(count($reg_eleves[$period["num_periode"]])>0) {$total_eleves = array_merge($total_eleves, (array)$reg_eleves[$period["num_periode"]]);}
			//echo "count(\$reg_eleves[".$period["num_periode"]."])=".count($reg_eleves[$period["num_periode"]])."<br />";
		}
	}
	//echo "count(\$total_eleves)=".count($total_eleves)."<br />";
	$total_eleves = array_unique($total_eleves);
	//echo "count(\$total_eleves)=".count($total_eleves)."<br />";
	
	$elements = array();
	foreach ($current_group["periodes"] as $period) {
		$elements[$period["num_periode"]] = null;
		foreach($total_eleves as $e_login) {
			$elements[$period["num_periode"]] .= "'eleve_" . $period["num_periode"] . "_"  . $e_login  . "',";
		}
		$elements[$period["num_periode"]] = mb_substr($elements[$period["num_periode"]], 0, -1);
	}
	
	//=============================
	//echo "<tr><td>&nbsp;</td>";
	echo "&nbsp;</td>\n";
	//=============================
	
	if ($multiclasses) { echo "<td>&nbsp;</td>"; }
	echo "\n";
	foreach ($current_group["periodes"] as $period) {
		if($period["num_periode"]!=""){
			echo "<th>";
	
			if(count($total_eleves)>0) {
				echo "<a href=\"javascript:CocheColonne(".$period["num_periode"].");changement();\"><img src='../images/enabled.png' width='15' height='15' alt='Tout cocher' title='Tout cocher' /></a> / <a href=\"javascript:DecocheColonne(".$period["num_periode"].");changement();\"><img src='../images/disabled.png' width='15' height='15' alt='Tout décocher' title='Tout décocher' /></a>";
			}
			//=========================
			echo "<br/>Inscrits&nbsp;: " . count($current_group["eleves"][$period["num_periode"]]["list"]);
			echo "</th>\n";
		}
	}
	echo "<th>&nbsp;</th>\n";
	echo "</tr>\n";
	
	// Marqueurs pour identifier quand on change de classe dans la liste
	$prev_classe = 0;
	$new_classe = 0;
	$empty_td = false;
	
	//=====================================
	$chaine_sql_classe="(";
	for($i=0;$i<count($current_group["classes"]["list"]);$i++) {
		if($i>0) {$chaine_sql_classe.=" OR ";}
		$chaine_sql_classe.="id_classe='".$current_group["classes"]["list"][$i]."'";
	}
	$chaine_sql_classe.=")";
	//=====================================
	
	if(count($total_eleves)>0) {
		$alt=1;
		foreach($total_eleves as $e_login) {
	
			//=========================
			// Récupération du numéro de l'élève:
			$num_eleve=-1;
			for($i=0;$i<count($login_eleve);$i++){
				if($e_login==$login_eleve[$i]){
					$num_eleve=$i;
					break;
				}
			}
			if($num_eleve!=-1) {
	
				//=========================
				// Test de l'appartenance à plusieurs classes
				$sql="SELECT DISTINCT id_classe FROM j_eleves_classes WHERE login='$e_login';";
				$test_plusieurs_classes=mysqli_query($GLOBALS["mysqli"], $sql);
				if(mysqli_num_rows($test_plusieurs_classes)==1) {
					$temoin_eleve_changeant_de_classe="n";
				}
				else {
					$temoin_eleve_changeant_de_classe="y";
				}
				//=========================
	
				//=========================
				//$new_classe = $eleves_list["users"][$e_login]["id_classe"];
				if(isset($eleves_list["users"][$e_login])) {
					$new_classe = $eleves_list["users"][$e_login]["id_classe"];
				}
				else {
					$new_classe="BIZARRE";
				}

				if ($new_classe != $prev_classe and $order_by == "classe" and $multiclasses) {
					echo "<tr style='background-color: #CCCCCC;'>\n";
					echo "<td colspan='3' style='padding: 5px; font-weight: bold;'>";
					echo "Classe de&nbsp;: " . $eleves_list["users"][$e_login]["classe"];
					echo "</td>\n";
					foreach ($current_group["periodes"] as $period) {
						echo "<td>&nbsp;</td>\n";
					}
					//echo "<td>&nbsp;</td>\n";
					echo "</tr>\n";
					$prev_classe = $new_classe;
				}

				$alt=$alt*(-1);
				echo "<tr id='tr_".$num_eleve."' class='lig$alt white_hover'>\n";
				if (array_key_exists($e_login, $eleves_list["users"])) {
					echo "<td id='td_eleve_".$num_eleve."'>";
					echo $eleves_list["users"][$e_login]["nom"];
					echo " ";
					echo $eleves_list["users"][$e_login]["prenom"];
					echo "</td>";
	
					if ($multiclasses) {echo "<td id='td_classe_".$num_eleve."'>" . $eleves_list["users"][$e_login]["classe"] . "</td>";}
					echo "\n";
				}
				else {
					echo "<td id='td_eleve_".$num_eleve."' >";
					if($new_classe=="BIZARRE"){
						echo "<font color='red'>$e_login</font>";
					}
					else{
						echo "$e_login";
					}
					echo "</td>\n";
					if ($multiclasses) {echo "<td id='td_classe_".$num_eleve."'>" . $current_group["eleves"]["users"][$e_login]["classe"] . "</td>";}
					echo "\n";
				}
		
		
				foreach ($current_group["periodes"] as $period) {
					if($period["num_periode"]!="") {
						if($period["num_periode"]>$maxper) {$maxper=$period["num_periode"];}
						//echo "<td align='center'>";
						//echo "<td id='td_".$e_login."_".$period["num_periode"]."'>";
		
						$sql="SELECT 1=1 FROM j_eleves_classes WHERE login='$e_login' AND $chaine_sql_classe AND periode='".$period["num_periode"]."'";
						$res_test=mysqli_query($GLOBALS["mysqli"], $sql);
						if(mysqli_num_rows($res_test)>0){
	
							/*
							// Test sur la présence de notes dans cn ou de notes/app sur bulletin
							if (!test_before_eleve_removal($e_login, $current_group['id'], $period["num_periode"])) {
								echo "<img id='img_bull_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/bulletin_16.png' width='16' height='16' title='Bulletin non vide' alt='Bulletin non vide' />";
							}

							$sql="SELECT DISTINCT id_devoir FROM cn_notes_devoirs cnd, cn_devoirs cd, cn_cahier_notes ccn WHERE (cnd.login = '".$e_login."' AND cnd.statut='' AND cnd.id_devoir=cd.id AND cd.id_racine=ccn.id_cahier_notes AND ccn.id_groupe = '".$current_group['id']."' AND ccn.periode = '".$period["num_periode"]."')";
							$test_cn=mysql_query($sql);
							$nb_notes_cn=mysql_num_rows($test_cn);
							if($nb_notes_cn>0) {
								echo "<img id='img_cn_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/cn_16.png' width='16' height='16' title='Carnet de notes non vide: $nb_notes_cn notes' alt='Carnet de notes non vide: $nb_notes_cn notes' />";
								//echo "$sql<br />";
							}
							*/
							if (in_array($e_login, (array)$current_group["eleves"][$period["num_periode"]]["list"])) {
								//echo "<img src='../images/enabled.png' width='15' height='15' title='Elève affecté dans cet enseignement' alt='Elève affecté dans cet enseignement' />\n";

								echo "<td id='td_".$period["num_periode"]."_".$num_eleve."'>";
							}
							else {
								//echo "<img src='../images/disabled.png' width='15' height='15' title='Elève non affecté dans cet enseignement' alt='Elève non affecté dans cet enseignement' />\n";

								echo "<td id='td_".$period["num_periode"]."_".$num_eleve."' style='background-color: grey;'>";
							}
							
							// Test sur la présence de notes dans cn ou de notes/app sur bulletin
							$bull_non_vide="n";
							if (!test_before_eleve_removal($e_login, $current_group['id'], $period["num_periode"])) {
								$bull_non_vide="y";
								if($_SESSION['statut']=='professeur') {
									echo "<a href='../saisie/saisie_appreciations.php?id_groupe=$id_groupe&amp;periode_cn=".$period["num_periode"]."#saisie_app_".$e_login."' target='_blank' title=\"Voir, dans une nouvelle fenêtre, mes saisies dans le bulletin de cet élève.\"><img id='img_bull_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/bulletin_16.png' width='16' height='16' title=\"Bulletin non vide.

Si vous souhaitez désinscrire cet élève, il ne faut rien saisir dans ses bulletins, pas même un tiret.\" alt='Bulletin non vide' /></a>";
								}
								else {
									echo "<img id='img_bull_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/bulletin_16.png' width='16' height='16' title='Bulletin non vide' alt='Bulletin non vide' />";
								}
							}

							$sql="SELECT DISTINCT id_devoir FROM cn_notes_devoirs cnd, cn_devoirs cd, cn_cahier_notes ccn WHERE (cnd.login = '".$e_login."' AND cnd.statut='' AND cnd.id_devoir=cd.id AND cd.id_racine=ccn.id_cahier_notes AND ccn.id_groupe = '".$current_group['id']."' AND ccn.periode = '".$period["num_periode"]."')";
							$test_cn=mysqli_query($GLOBALS["mysqli"], $sql);
							$nb_notes_cn=mysqli_num_rows($test_cn);
							if($nb_notes_cn>0) {
								if($_SESSION['statut']=='professeur') {
									echo "<a href='../cahier_notes/index.php??id_groupe=$id_groupe&amp;periode_num=".$period["num_periode"]."' target='_blank' title=\"Voir, dans une nouvelle fenêtre, mes saisies dans le carnet de notes pour cet élève.\"><img id='img_cn_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/cn_16.png' width='16' height='16' title='Carnet de notes non vide: $nb_notes_cn notes' alt='Carnet de notes non vide: $nb_notes_cn notes' /></a>";
								}
								else {
									echo "<img id='img_cn_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/cn_16.png' width='16' height='16' title='Carnet de notes non vide: $nb_notes_cn notes' alt='Carnet de notes non vide: $nb_notes_cn notes' />";
								}
								//echo "$sql<br />";
							}

							//=====================
							// Signaler une erreur:
							echo "<input type='checkbox' name='eleve_".$period["num_periode"]."_".$num_eleve."' id='case_".$period["num_periode"]."_".$num_eleve."' ";
							//=========================
							echo " onchange=\"changement_couleur('".$period["num_periode"]."_".$num_eleve."');teste_changement_couleur_ligne($num_eleve);changement();\"";
	
							/*
							if (in_array($e_login, (array)$current_group["eleves"][$period["num_periode"]]["list"])) {
								echo " value='en_trop'";
							} else {
								echo " value='manquant'";
							}
							*/
							echo " value='y'";

							if (in_array($e_login, (array)$current_group["eleves"][$period["num_periode"]]["list"])) {
								echo " checked";
							}

							if($bull_non_vide=="y") {
								echo " style='display: none'";
							}

							echo " />";

							if ((isset($tab_sig[$period["num_periode"]]))&&(in_array($e_login, (array)$tab_sig[$period["num_periode"]]))) {
								echo " <img src='../images/icons/flag.png' width='17' height='18' alt='Erreur signalée' title='Erreur signalée' />";
							}
							//=====================
	

							if($temoin_eleve_changeant_de_classe=="y") {
								$sql="SELECT c.classe FROM classes c, j_eleves_classes jec WHERE jec.login='$e_login' AND jec.id_classe=c.id AND jec.periode='".$period["num_periode"]."';";
								$res_classe_ele=mysqli_query($GLOBALS["mysqli"], $sql);
								if(mysqli_num_rows($res_classe_ele)>0){
									$lig_tmp=mysqli_fetch_object($res_classe_ele);
									echo " $lig_tmp->classe";
								}
							}
						}
						else{
							echo "<td>\n";
							echo "&nbsp;\n";
							//echo "<input type='hidden' name='eleve_".$period["num_periode"] . "_" . $e_login."' />\n";
						}
						echo "</td>\n";
					}
				}
		
				$elementlist = null;
				foreach ($current_group["periodes"] as $period) {
					if($period["num_periode"]!="") {
						$elementlist .= "'eleve_" . $period["num_periode"] . "_" . $e_login . "',";
					}
				}
				$elementlist = mb_substr($elementlist, 0, -1);
		
				echo "<td><a href=\"javascript:CocheLigne($num_eleve);changement();\"><img src='../images/enabled.png' width='15' height='15' alt='Tout cocher' /></a> / <a href=\"javascript:DecocheLigne($num_eleve);changement();\"><img src='../images/disabled.png' width='15' height='15' alt='Tout décocher' /></a></td>\n";
	
				/*
				$setting = get_eleve_groupe_setting($e_login, $id_groupe, "coef");
				if (!$setting) {$setting = array(null);}
				//echo "<td><input type='text' size='3' name='setting_coef[".$num_eleve."]' value='".$setting[0]."' /></td>\n";
				echo "<td><input type='text' size='3' name='setting_coef_".$num_eleve."' value='".$setting[0]."' onchange='changement();' /></td>\n";
				*/
	
				//=========================
		
				echo "</tr>\n";
			}
		}

	}
	echo "</table>\n";
	echo "<input type='hidden' name='is_posted' value='1' />\n";
	//echo "<input type='hidden' name='mode' value='" . $mode . "' />\n";
	echo "<input type='hidden' name='id_groupe' value='" . $id_groupe . "' />\n";
	//echo "<input type='hidden' name='id_classe' value='" . $id_classe . "' />\n";
	echo "<p align='center'><input type='submit' value='Enregistrer' onclick=\"document.getElementById('temoin_enregistrement_2').style.display=''\" /><span id='temoin_enregistrement_2' style='display:none;'><img src='../images/spinner.gif' width='16' height='16' title='Enregistrement en cours' /></span></p>\n";

	echo "<input type='hidden' name='mode_signalement' value='".$mode_signalement."' />\n";
	
	
	$nb_eleves=count($total_eleves);
	
	echo "<script type='text/javascript'>

	function CocheLigne(ki) {
		for (var i=1;i<$nb_periode;i++) {
			//alert('Periode i='+i+' sur $nb_periode périodes et ligne='+ki)
			if(document.getElementById('case_'+i+'_'+ki)){
				document.getElementById('case_'+i+'_'+ki).checked = true;
				changement_couleur(i+'_'+ki);
				teste_changement_couleur_ligne(ki);
			}
		}
	}

	function DecocheLigne(ki) {
		for (var i=1;i<$nb_periode;i++) {
			if(document.getElementById('case_'+i+'_'+ki)){
				document.getElementById('case_'+i+'_'+ki).checked = false;
				changement_couleur(i+'_'+ki);
				teste_changement_couleur_ligne(ki);
			}
		}
	}

	function changement_couleur(suffixe_id) {
		if((document.getElementById('td_'+suffixe_id))&&(document.getElementById('case_'+suffixe_id))) {
			if(document.getElementById('case_'+suffixe_id).checked==true) {
				document.getElementById('td_'+suffixe_id).style.backgroundColor='';
			}
			else {
				document.getElementById('td_'+suffixe_id).style.backgroundColor='grey';
			}
		}
	}

	function teste_changement_couleur_ligne(num_ligne) {
		temoin_coche=0;
		for(i=0;i<=$maxper;i++) {
			if(document.getElementById('case_'+i+'_'+num_ligne)) {
				if(document.getElementById('case_'+i+'_'+num_ligne).checked==true) {
					temoin_coche++;
				}
			}
		}


		if(document.getElementById('td_eleve_'+num_ligne)) {
			if(temoin_coche==0) {
				document.getElementById('td_eleve_'+num_ligne).style.backgroundColor='grey';
			}
			else {
				document.getElementById('td_eleve_'+num_ligne).style.backgroundColor='';
			}
		}

		if(document.getElementById('td_classe_'+num_ligne)) {
			if(temoin_coche==0) {
				document.getElementById('td_classe_'+num_ligne).style.backgroundColor='grey';
			}
			else {
				document.getElementById('td_classe_'+num_ligne).style.backgroundColor='';
			}
		}
	}

	for(ki=0;ki<=$nb_eleves;ki++) {
		teste_changement_couleur_ligne(ki);
	}

	function CocheColonne(i) {
		for (var ki=0;ki<$nb_eleves;ki++) {
			if(document.getElementById('case_'+i+'_'+ki)){
				document.getElementById('case_'+i+'_'+ki).checked = true;
			}
		}
	}

	function DecocheColonne(i) {
		for (var ki=0;ki<$nb_eleves;ki++) {
			if(document.getElementById('case_'+i+'_'+ki)){
				document.getElementById('case_'+i+'_'+ki).checked = false;
			}
		}
	}
	</script>
	";

	echo "<p><br /></p>\n";

	//echo "<a href='javascript:DecocheColonne_si_bull_et_cn_vide(1)'>1</a>";

	echo "<p><i>NOTE&nbsp;:</i></p>\n";

	echo "<p style='margin-left:3em;'>On ne peut désinscrire que des élèves qui n'ont pas de note ni d'appréciation sur les bulletins<br />(<em>si vous aviez inscrit 'élève absent' ou '-', vous pouvez supprimer votre appréciation ou note, puis signaler l'erreur d'affectation</em>).<br />En revanche, la présence de notes dans le carnet de notes n'empêche pas la désinscription.</p>\n";

	echo "</form>\n";
	require("../lib/footer.inc.php");
	die();
}

//=================================================================================

// Ancien mode

echo "<form enctype='multipart/form-data' action='".$_SERVER['PHP_SELF']."' name='formulaire' method='post'>\n";
echo add_token_field();
echo "<p><input type='submit' value='Enregistrer' onclick=\"document.getElementById('temoin_enregistrement_3').style.display=''\" /><span id='temoin_enregistrement_3' style='display:none;'><img src='../images/spinner.gif' width='16' height='16' title='Enregistrement en cours' /></span></p>\n";

// Edition des élèves

echo "<p>Cochez les élèves qui manquent ou sont en trop dans cet enseignement, pour chaque période&nbsp;: </p>\n";

echo "<table border='1' class='boireaus' summary='Suivi de cet enseignement par les élèves en fonction des périodes'>\n";
echo "<tr>\n";
echo "<th><a href='".$_SERVER['PHP_SELF']."?id_groupe=$id_groupe&amp;order_by=nom'>Nom/Prénom</a></th>\n";
if ($multiclasses) {
	echo "<th><a href='".$_SERVER['PHP_SELF']."?id_groupe=$id_groupe&amp;order_by=classe'>Classe</a></th>\n";
}
foreach ($current_group["periodes"] as $period) {
	if($period["num_periode"]!=""){
		echo "<th>" . $period["nom_periode"] . "</th>\n";
	}
}
echo "<th>&nbsp;</th>\n";
//echo "<th>Coef</th>";
echo "</tr>\n";

$conditions = "e.login = j.login and (";
foreach ($current_group["classes"]["list"] as $query_id_classe) {
	$conditions .= "j.id_classe = '" . $query_id_classe . "' or ";
}
$conditions = mb_substr($conditions, 0, -4);
$conditions .= ") and c.id = j.id_classe";

// Définition de l'ordre de la liste
if ($order_by == "classe") {
	// Classement par classe puis nom puis prénom
	$order_conditions = "j.id_classe, e.nom, e.prenom";
} elseif ($order_by == "nom") {
	$order_conditions = "e.nom, e.prenom";
}

//=============================
echo "<tr>\n<th>\n";
//=============================

unset($login_eleve);

$sql="SELECT distinct(j.login), j.id_classe, c.classe, e.nom, e.prenom FROM eleves e, j_eleves_classes j, classes c WHERE (" . $conditions . ") ORDER BY ".$order_conditions;
$calldata = mysqli_query($GLOBALS["mysqli"], $sql);
$nb = mysqli_num_rows($calldata);
$eleves_list = array();
$eleves_list["list"]=array();
for ($i=0;$i<$nb;$i++) {
	$e_login = old_mysql_result($calldata, $i, "login");
	//================================
	//echo "<input type='hidden' name='login_eleve[$i]' value='$e_login' />\n";
	echo "<input type='hidden' name='login_eleve[$i]' id='login_eleve_$i' value='$e_login' />\n";
	//=========================
	$login_eleve[$i]=$e_login;
	//=========================
	$e_nom = old_mysql_result($calldata, $i, "nom");
	$e_prenom = old_mysql_result($calldata, $i, "prenom");
	$e_id_classe = old_mysql_result($calldata, $i, "id_classe");
	$classe = old_mysql_result($calldata, $i, "classe");
	$eleves_list["list"][] = $e_login;
	$eleves_list["users"][$e_login] = array("login" => $e_login, "nom" => $e_nom, "prenom" => $e_prenom, "classe" => $classe, "id_classe" => $e_id_classe);
}
//echo "count(\$eleves_list)=".count($eleves_list)."<br />";
$total_eleves = $eleves_list["list"];
//echo "count(\$total_eleves)=".count($total_eleves)."<br />";

foreach ($current_group["periodes"] as $period) {
	if($period["num_periode"]!=""){
		//$total_eleves = array_merge($total_eleves, (array)$reg_eleves[$period["num_periode"]]);
		if(count($reg_eleves[$period["num_periode"]])>0) {$total_eleves = array_merge($total_eleves, (array)$reg_eleves[$period["num_periode"]]);}
		//echo "count(\$reg_eleves[".$period["num_periode"]."])=".count($reg_eleves[$period["num_periode"]])."<br />";
	}
}
//echo "count(\$total_eleves)=".count($total_eleves)."<br />";
$total_eleves = array_unique($total_eleves);
//echo "count(\$total_eleves)=".count($total_eleves)."<br />";

$elements = array();
foreach ($current_group["periodes"] as $period) {
	$elements[$period["num_periode"]] = null;
	foreach($total_eleves as $e_login) {
		$elements[$period["num_periode"]] .= "'eleve_" . $period["num_periode"] . "_"  . $e_login  . "',";
	}
    $elements[$period["num_periode"]] = mb_substr($elements[$period["num_periode"]], 0, -1);
}

//echo "<tr><td>&nbsp;</td>";
echo "&nbsp;</td>\n";

if ($multiclasses) { echo "<td>&nbsp;</td>"; }
echo "\n";
foreach ($current_group["periodes"] as $period) {
	if($period["num_periode"]!=""){
		echo "<th>";

		if(count($total_eleves)>0) {
			echo "<a href=\"javascript:CocheColonne(".$period["num_periode"].");changement();\"><img src='../images/enabled.png' width='15' height='15' alt='Tout cocher' title='Tout cocher' /></a> / <a href=\"javascript:DecocheColonne(".$period["num_periode"].");changement();\"><img src='../images/disabled.png' width='15' height='15' alt='Tout décocher' title='Tout décocher' /></a>";
		}
		//=========================
		echo "<br/>Inscrits&nbsp;: " . count($current_group["eleves"][$period["num_periode"]]["list"]);
		echo "</th>\n";
	}
}
echo "<th>&nbsp;</th>\n";
//echo "<th>&nbsp;</th>\n";
echo "</tr>\n";

// Marqueurs pour identifier quand on change de classe dans la liste
$prev_classe = 0;
$new_classe = 0;
$empty_td = false;

//=====================================
$chaine_sql_classe="(";
for($i=0;$i<count($current_group["classes"]["list"]);$i++) {
	if($i>0) {$chaine_sql_classe.=" OR ";}
	$chaine_sql_classe.="id_classe='".$current_group["classes"]["list"][$i]."'";
}
$chaine_sql_classe.=")";
//=====================================

if(count($total_eleves)>0) {
	$alt=1;
	foreach($total_eleves as $e_login) {

		//=========================
		// Récupération du numéro de l'élève:
		$num_eleve=-1;
		for($i=0;$i<count($login_eleve);$i++){
			if($e_login==$login_eleve[$i]){
				$num_eleve=$i;
				break;
			}
		}
		if($num_eleve!=-1) {

			//=========================
			// Test de l'appartenance à plusieurs classes
			$sql="SELECT DISTINCT id_classe FROM j_eleves_classes WHERE login='$e_login';";
			$test_plusieurs_classes=mysqli_query($GLOBALS["mysqli"], $sql);
			if(mysqli_num_rows($test_plusieurs_classes)==1) {
				$temoin_eleve_changeant_de_classe="n";
			}
			else {
				$temoin_eleve_changeant_de_classe="y";
			}
			//=========================

			//=========================
			//$new_classe = $eleves_list["users"][$e_login]["id_classe"];
			if(isset($eleves_list["users"][$e_login])) {
				$new_classe = $eleves_list["users"][$e_login]["id_classe"];
			}
			else {
				$new_classe="BIZARRE";
			}

			if ($new_classe != $prev_classe and $order_by == "classe" and $multiclasses) {
				echo "<tr style='background-color: #CCCCCC;'>\n";
				echo "<td colspan='3' style='padding: 5px; font-weight: bold;'>";
				echo "Classe de&nbsp;: " . $eleves_list["users"][$e_login]["classe"];
				echo "</td>\n";
				foreach ($current_group["periodes"] as $period) {
					echo "<td>&nbsp;</td>\n";
				}
				//echo "<td>&nbsp;</td>\n";
				echo "</tr>\n";
				$prev_classe = $new_classe;
			}

			$alt=$alt*(-1);
			echo "<tr class='lig$alt white_hover'>\n";
			if (array_key_exists($e_login, $eleves_list["users"])) {
				echo "<td>";
				echo $eleves_list["users"][$e_login]["nom"];
				echo " ";
				echo $eleves_list["users"][$e_login]["prenom"];
				echo "</td>";

				if ($multiclasses) {echo "<td>" . $eleves_list["users"][$e_login]["classe"] . "</td>";}
				echo "\n";
			}
			else {
				echo "<td>";
				if($new_classe=="BIZARRE"){
					echo "<font color='red'>$e_login</font>";
				}
				else{
					echo "$e_login";
				}
				echo "</td>\n";
				if ($multiclasses) {echo "<td>" . $current_group["eleves"]["users"][$e_login]["classe"] . "</td>";}
				echo "\n";
			}
	
	
			foreach ($current_group["periodes"] as $period) {
				if($period["num_periode"]!="") {
					echo "<td align='center'>";
	
					//=========================
					//$sql="SELECT 1=1 FROM j_eleves_classes WHERE login='$e_login' AND id_classe='".$new_classe."' AND periode='".$period["num_periode"]."'";
					$sql="SELECT 1=1 FROM j_eleves_classes WHERE login='$e_login' AND $chaine_sql_classe AND periode='".$period["num_periode"]."'";
					//=========================
					$res_test=mysqli_query($GLOBALS["mysqli"], $sql);
					if(mysqli_num_rows($res_test)>0){

						// Test sur la présence de notes dans cn ou de notes/app sur bulletin
						$bull_non_vide="n";
						if (!test_before_eleve_removal($e_login, $current_group['id'], $period["num_periode"])) {
							$bull_non_vide="y";
							if($_SESSION['statut']=='professeur') {
								echo "<a href='../saisie/saisie_appreciations.php?id_groupe=$id_groupe&amp;periode_cn=".$period["num_periode"]."#saisie_app_".$e_login."' target='_blank' title=\"Voir, dans une nouvelle fenêtre, mes saisies dans le bulletin de cet élève.\"><img id='img_bull_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/bulletin_16.png' width='16' height='16' title='Bulletin non vide' alt='Bulletin non vide' /></a>";
							}
							else {
								echo "<img id='img_bull_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/bulletin_16.png' width='16' height='16' title='Bulletin non vide' alt='Bulletin non vide' />";
							}
						}

						$sql="SELECT DISTINCT id_devoir FROM cn_notes_devoirs cnd, cn_devoirs cd, cn_cahier_notes ccn WHERE (cnd.login = '".$e_login."' AND cnd.statut='' AND cnd.id_devoir=cd.id AND cd.id_racine=ccn.id_cahier_notes AND ccn.id_groupe = '".$current_group['id']."' AND ccn.periode = '".$period["num_periode"]."')";
						$test_cn=mysqli_query($GLOBALS["mysqli"], $sql);
						$nb_notes_cn=mysqli_num_rows($test_cn);
						if($nb_notes_cn>0) {
							if($_SESSION['statut']=='professeur') {
								echo "<a href='../cahier_notes/index.php??id_groupe=$id_groupe&amp;periode_num=".$period["num_periode"]."#saisie_app_".$e_login."' target='_blank' title=\"Voir, dans une nouvelle fenêtre, mes saisies dans le carnet de notes pour cet élève.\"><img id='img_cn_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/cn_16.png' width='16' height='16' title='Carnet de notes non vide: $nb_notes_cn notes' alt='Carnet de notes non vide: $nb_notes_cn notes' /></a>";
							}
							else {
								echo "<img id='img_cn_non_vide_".$period["num_periode"]."_".$num_eleve."' src='../images/icons/cn_16.png' width='16' height='16' title='Carnet de notes non vide: $nb_notes_cn notes' alt='Carnet de notes non vide: $nb_notes_cn notes' />";
							}
							//echo "$sql<br />";
						}

						if (in_array($e_login, (array)$current_group["eleves"][$period["num_periode"]]["list"])) {
							echo "<img src='../images/enabled.png' width='15' height='15' title='Elève affecté dans cet enseignement' alt='Elève affecté dans cet enseignement' />\n";
						}
						else {
							echo "<img src='../images/disabled.png' width='15' height='15' title='Elève non affecté dans cet enseignement' alt='Elève non affecté dans cet enseignement' />\n";
						}

						//=====================
						// Signaler une erreur:
						echo "<input type='checkbox' name='eleve_".$period["num_periode"]."_".$num_eleve."' id='case_".$period["num_periode"]."_".$num_eleve."' ";
						//=========================
						echo " onchange='changement();'";

						if (in_array($e_login, (array)$current_group["eleves"][$period["num_periode"]]["list"])) {
							echo " value='en_trop'";
						} else {
							echo " value='manquant'";
						}

						if($bull_non_vide=="y") {
							echo " style='display: none'";
						}

						if ((isset($tab_sig[$period["num_periode"]]))&&(in_array($e_login, (array)$tab_sig[$period["num_periode"]]))) {
							echo " checked />";
						} else {
							echo " />";
						}
						//=====================


						//=========================
						if($temoin_eleve_changeant_de_classe=="y") {
							$sql="SELECT c.classe FROM classes c, j_eleves_classes jec WHERE jec.login='$e_login' AND jec.id_classe=c.id AND jec.periode='".$period["num_periode"]."';";
							$res_classe_ele=mysqli_query($GLOBALS["mysqli"], $sql);
							if(mysqli_num_rows($res_classe_ele)>0){
								$lig_tmp=mysqli_fetch_object($res_classe_ele);
								echo " $lig_tmp->classe";
							}
						}
						//=========================
					}
					else{
						echo "&nbsp;\n";
						//echo "<input type='hidden' name='eleve_".$period["num_periode"] . "_" . $e_login."' />\n";
					}
					echo "</td>\n";
				}
			}
	
			$elementlist = null;
			foreach ($current_group["periodes"] as $period) {
				if($period["num_periode"]!="") {
					$elementlist .= "'eleve_" . $period["num_periode"] . "_" . $e_login . "',";
				}
			}
			$elementlist = mb_substr($elementlist, 0, -1);
	
			echo "<td><a href=\"javascript:CocheLigne($num_eleve);changement();\"><img src='../images/enabled.png' width='15' height='15' alt='Tout cocher' /></a> / <a href=\"javascript:DecocheLigne($num_eleve);changement();\"><img src='../images/disabled.png' width='15' height='15' alt='Tout décocher' /></a></td>\n";

			/*
			$setting = get_eleve_groupe_setting($e_login, $id_groupe, "coef");
			if (!$setting) {$setting = array(null);}
			//echo "<td><input type='text' size='3' name='setting_coef[".$num_eleve."]' value='".$setting[0]."' /></td>\n";
			echo "<td><input type='text' size='3' name='setting_coef_".$num_eleve."' value='".$setting[0]."' onchange='changement();' /></td>\n";
			*/

			//=========================
	
			echo "</tr>\n";
		}
	}


	echo "</table>\n";
	echo "<input type='hidden' name='is_posted' value='1' />\n";
	//echo "<input type='hidden' name='mode' value='" . $mode . "' />\n";
	echo "<input type='hidden' name='id_groupe' value='" . $id_groupe . "' />\n";
	//echo "<input type='hidden' name='id_classe' value='" . $id_classe . "' />\n";
	echo "<p align='center'><input type='submit' value='Enregistrer' onclick=\"document.getElementById('temoin_enregistrement_4').style.display=''\" /><span id='temoin_enregistrement_4' style='display:none;'><img src='../images/spinner.gif' width='16' height='16' title='Enregistrement en cours' /></span></p>\n";

	echo "<input type='hidden' name='mode_signalement' value='1' />\n";

	
	$nb_eleves=count($total_eleves);
	
	echo "<script type='text/javascript'>

function CocheLigne(ki) {
	for (var i=1;i<$nb_periode;i++) {
		//alert('Periode i='+i+' sur $nb_periode périodes et ligne='+ki)
		if(document.getElementById('case_'+i+'_'+ki)){
			document.getElementById('case_'+i+'_'+ki).checked = true;
		}
	}
}

function DecocheLigne(ki) {
	for (var i=1;i<$nb_periode;i++) {
		if(document.getElementById('case_'+i+'_'+ki)){
			document.getElementById('case_'+i+'_'+ki).checked = false;
		}
	}
}

	function CocheColonne(i) {
		for (var ki=0;ki<$nb_eleves;ki++) {
			if(document.getElementById('case_'+i+'_'+ki)){
				document.getElementById('case_'+i+'_'+ki).checked = true;
			}
		}
	}

	function DecocheColonne(i) {
		for (var ki=0;ki<$nb_eleves;ki++) {
			if(document.getElementById('case_'+i+'_'+ki)){
				document.getElementById('case_'+i+'_'+ki).checked = false;
			}
		}
	}
/*
	function DecocheColonne_si_bull_et_cn_vide(i) {
		for (var ki=0;ki<$nb_eleves;ki++) {
			if((document.getElementById('case_'+i+'_'+ki))&&(!document.getElementById('img_bull_non_vide_'+i+'_'+ki))&&(!document.getElementById('img_cn_non_vide_'+i+'_'+ki))) {
				document.getElementById('case_'+i+'_'+ki).checked = false;
			}
		}
	}

	function recopie_grp_ele(num) {
		tab=eval('tab_grp_ele_'+num);
		//alert('tab[0]='+tab[0]);
	
		for(j=0;j<$nb_eleves;j++) {
			DecocheLigne(j);
		}
	
		for(i=0;i<tab.length;i++) {
			for(j=0;j<$nb_eleves;j++) {
	
				if(document.getElementById('login_eleve_'+j).value==tab[i]) {
					CocheLigne(j);
				}
			}
		}
	}

	function recopie_inverse_grp_ele(num) {
		tab=eval('tab_grp_ele_'+num);
		//alert('tab[0]='+tab[0]);

		for(j=0;j<$nb_eleves;j++) {
			CocheLigne(j);
		}

		for(i=0;i<tab.length;i++) {
			for(j=0;j<$nb_eleves;j++) {
				if(document.getElementById('login_eleve_'+j).value==tab[i]) {
					DecocheLigne(j);
				}
			}
		}
	}
*/
	</script>
	";

	echo "<p><br /></p>\n";

	//echo "<a href='javascript:DecocheColonne_si_bull_et_cn_vide(1)'>1</a>";

	echo "<p><i>NOTE&nbsp;:</i></p>\n";

	echo "<p style='margin-left:3em;'>On ne peut désinscrire que des élèves qui n'ont pas de note ni d'appréciation sur les bulletins<br />(<em>si vous aviez inscrit 'élève absent' ou '-', vous pouvez supprimer votre appréciation ou note, puis signaler l'erreur d'affectation</em>).<br />En revanche, la présence de notes dans le carnet de notes n'empêche pas la désinscription.</p>\n";
}
else {
	echo "</table>\n";

	echo "<p style='color:red;'>La ou les classes associées à l'enseignement ne comportent encore aucun élève.</p>\n";
}
?>
</form>
<?php require("../lib/footer.inc.php");?>
