<?php
/*
*
* Copyright 2014-2018 Stephane Boireau
*
* This file is part of GEPI.
*
* GEPI is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* GEPI is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with GEPI; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

$annee = NULL;

if (isset($_GET['classe'])) {unset($_SESSION['classes']);}

/*
// on passe par un tableau, reste 
$classesChoisies = isset($_GET['classe']) ? $_GET['classe'] : (isset($_SESSION['classes']) ? $_SESSION['classes'] : NULL) ;

$_SESSION['classes'] = $classesChoisies;
*/

$saisie_competences=lsl_getDroit('droitCompetences');

echo "<h2>Test des saisies manquantes</h2>";

$sql="SELECT DISTINCT login, civilite, nom, prenom FROM utilisateurs WHERE statut='professeur' ORDER BY nom, prenom;";
$res_prof=mysqli_query($mysqli, $sql);
if(mysqli_num_rows($res_prof)==0) {
	echo "<p style='color:red'>Aucun professeur n'a été trouvé.</p>";
}
else {
	$tab_grp=array();
	while($lig_prof=mysqli_fetch_object($res_prof)) {
		$classesProf = chercheClassesProf($lig_prof->login, $anneeAPB);
		if(mysqli_num_rows($classesProf)>0) {
			echo "<p><strong>".$lig_prof->civilite." ".$lig_prof->nom." ".$lig_prof->prenom."&nbsp;:</strong></p>";

			while ($classeProf = $classesProf->fetch_object()){ 
				$cpt_manque=0;
				echo "<p>Classe de ".$classeProf->nom_complet."&nbsp;: ";
				//$classeProf->id
				$tmp_classe=array($classeProf->id => $classeProf->nom_complet);
				$elevesChoisis = chercheElevesProf($tmp_classe, $lig_prof->login, $anneeAPB);
				if($elevesChoisis) {
					while ($elvChoisi = $elevesChoisis->fetch_object()) {
						$notes = chercheNotes($elvChoisi->ine, $lig_prof->login, $anneeAPB);
						if($notes) {
							$exMatiere = "";
							$moyenne = 0;
							$nbNotes = 0; 
							while ($noteActive = $notes->fetch_object()) {
								if ($exMatiere != $noteActive->code_service) {
									// On change de groupe

									if(trim(getAppreciationProf($elvChoisi->ine, $noteActive->code_service, $anneeAPB))=='') {
										if(!isset($tab_grp[$noteActive->code_service])) {
											$tab_grp[$noteActive->code_service]=get_info_grp($noteActive->code_service);
										}
										echo "<br />".$elvChoisi->ine." (".get_valeur_champ("eleves", "no_gep='".$elvChoisi->ine."'", "nom").")"."&nbsp;: Appréciation manquante pour ".$tab_grp[$noteActive->code_service];
										$cpt_manque++;
									}

									if($saisie_competences) {
										if(!isset($tab_competences[$noteActive->code_service])) {
											$current_modalite=get_valeur_champ("plugin_archAPB_matieres", "id_gepi='".$noteActive->code_service."'", "modalite");
											$current_code_sconet_matiere=sprintf('%06d', get_valeur_champ("plugin_archAPB_matieres", "id_gepi='".$noteActive->code_service."'", "code_sconet"));
											$tab_competences[$noteActive->code_service]['code_sconet_matiere']=$current_code_sconet_matiere;
											$tab_competences[$noteActive->code_service]['modalite']=$current_modalite;

											if(preg_match("/^03[0-9A-Z]*[1-4]{1}$/", $current_code_sconet_matiere)) {
												$current_code_sconet_matiere_test='03%'.substr($current_code_sconet_matiere, -1);
												$sql="SELECT DISTINCT plc.code_competences, plc.texte_competences FROM plugin_lsl_competences plc, 
															plugin_lsl_competences_matieres plcm, 
															plugin_archAPB_eleves_mef apb_mef, 
															mef 
														WHERE plcm.annee='".$anneeLSL."' AND 
															plcm.MEF=mef.mef_rattachement AND 
															mef.mef_code=apb_mef.code_mef AND 
															apb_mef.annee='".$anneeAPB."' AND 
															apb_mef.no_gep='".$elvChoisi->ine."' AND 
															plcm.matiere LIKE '".$current_code_sconet_matiere_test."' AND 
															plcm.annee=plc.annee AND 
															plcm.code_competences=plc.code_competences 
														ORDER BY plc.code_competences;";
											}
											else {
												$sql="SELECT DISTINCT plc.code_competences, plc.texte_competences FROM plugin_lsl_competences plc, 
															plugin_lsl_competences_matieres plcm, 
															plugin_archAPB_eleves_mef apb_mef, 
															mef 
														WHERE plcm.annee='".$anneeLSL."' AND 
															plcm.MEF=mef.mef_rattachement AND 
															mef.mef_code=apb_mef.code_mef AND 
															apb_mef.annee='".$anneeAPB."' AND 
															apb_mef.no_gep='".$elvChoisi->ine."' AND 
															plcm.matiere='".$current_code_sconet_matiere."' AND ".(!preg_match("/^03[0-9A-Z]*[1-4]$/", $current_code_sconet_matiere) ? "
															plcm.modalite='".$current_modalite."' AND " : '')."
															plcm.annee=plc.annee AND 
															plcm.code_competences=plc.code_competences 
														ORDER BY plc.code_competences;";
											}

											//echo $sql."<br />";
											$res_comp=mysqli_query($mysqli, $sql);
											$nb_competences=mysqli_num_rows($res_comp);

											$tab_competences[$noteActive->code_service]['competences']=array();
											$tab_competences[$noteActive->code_service]['liste_competences']='';
											if($nb_competences>0) {
												while($lig_comp=mysqli_fetch_object($res_comp)) {
													$tab_competences[$noteActive->code_service]['competences'][]=$lig_comp->code_competences;
//		$sqlPeriodes .=  "WHERE id_classe IN (".$myData.") ";
												}
												$tab_competences[$noteActive->code_service]['liste_competences']=implode(",", $tab_competences[$noteActive->code_service]['competences']);
											}
										}

										if(count($tab_competences[$noteActive->code_service]['competences'])>0) {
											$current_id_groupe=$noteActive->code_service;
											// Récupérer ce qui est déjà validé.
											$sql="SELECT * FROM plugin_lsl_eval_competences 
														WHERE annee='".$anneeAPB."' AND 
															eleve='".$elvChoisi->ine."' AND 
															id_APB='".$current_id_groupe."' AND 
															code_competences IN (".$tab_competences[$noteActive->code_service]['liste_competences'].") AND 
															valeur!='0';";
											//echo $sql."<br />";
											$res_comp_deja=mysqli_query($mysqli, $sql);
											if(mysqli_num_rows($res_comp_deja)!=count($tab_competences[$noteActive->code_service]['competences'])) {
												if(!isset($tab_grp[$noteActive->code_service])) {
													$tab_grp[$noteActive->code_service]=get_info_grp($noteActive->code_service);
												}
												echo "<br />".$elvChoisi->ine." (".get_valeur_champ("eleves", "no_gep='".$elvChoisi->ine."'", "nom").")"."&nbsp;: ".mysqli_num_rows($res_comp_deja)."/".count($tab_competences[$noteActive->code_service]['competences'])." compétences pour ".$tab_grp[$noteActive->code_service];
												/*
												echo "<pre>";
												print_r($elvChoisi);
												echo "</pre>";
												*/
												$cpt_manque++;
											}
										}
									}

									$exMatiere=$noteActive->code_service;
								}
							}
						}
					}
				}
				if($cpt_manque==0) {
					echo "Saisies complètes";
				}
				echo "</p>";
			}
		}
		flush();
		ob_flush();
	}
}

/*




if($classesProf->num_rows) {
	while ($classeProf = $classesProf->fetch_object()){ 
		if (lsl_get_ouvert_prof($classeProf->id)) { ?>
	<p>
		<a href="?classe[<?php echo $classeProf->id; ?>]=on<?php echo add_token_in_url(); ?>">
			<?php echo $classeProf->nom_complet; ?>
		</a>		
	</p>
<?php		}
	}
}





if ($classesChoisies) {
	$elevesChoisis = chercheElevesProf($classesChoisies, $_SESSION['login'], $anneeAPB);
}






	$nb_reg=0;
	foreach ($_POST['app'] as $key => $value) {
		if ($value) {
			$clefs = explode ("_",$key) ;
			// $clefs[0] = INE
			// $clefs[1] = id_groupe
			// $clefs[2] = annee
			setAppreciationProf($clefs[0], $clefs[1], $clefs[2], $value, $_SESSION['login']);
			$nb_reg++;
		}
	}

	// 20180823 : Compétences
	if(isset($_POST['comp'])) {
		foreach ($_POST['comp'] as $key => $value) {
			if ("$value"!='') {
				$clefs = explode ("_",$key) ;
				//comp[070532955BD_4231_2018_0206]
				$tmp_ine=$clefs[0];
				$tmp_id_groupe=$clefs[1];
				$tmp_annee=$clefs[2];
				$tmp_competence=$clefs[3];
				$tmp_valeur=$value;
				//echo "setCompetenceProf($tmp_ine, $tmp_id_groupe, $tmp_annee, $tmp_competence, $tmp_valeur, ".$_SESSION['login'].");<br />";
				setCompetenceProf($tmp_ine, $tmp_id_groupe, $tmp_annee, $tmp_competence, $tmp_valeur, $_SESSION['login']);
				$nb_reg++;
			}
		}
	}

	if($nb_reg>0) {
		echo "<p style='text-align:center; font-weight:bold; color:red'>$nb_reg enregistrement(s) traité(s) (".strftime("%d/%m/%Y à %H:%M:%S").").</p>";
	}

*/
?>
